### Method

# Secret Service unlock

#### Declaration [src]

    void
    secret_service_unlock (
      SecretService* service,
      GList* objects,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Unlock items or collections in the secret service.

The secret service may not be able to unlock items individually, and may unlock an entire collection instead.

If `service` is `NULL`, then `secret_service_get()` will be called to get the default `SecretService` proxy.

This method may block indefinitely and should not be used in user interface threads. The secret service may prompt the user. `secret_service_prompt()` will be used to handle any prompts that show up.

This method completes asynchronously. Use `secret_service_unlock_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`service`

  Type: `SecretService`

  The secret service.

  The argument can be `NULL`.

`objects`

  Type: A list of `GDBusProxy*`

  The items or collections to unlock.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.